Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Class DbMetadataMediator.MetadataQuery

java.lang.Object
org.firebirdsql.jdbc.DbMetadataMediator.MetadataQuery

Enclosing class:
  DbMetadataMediator

public static final class DbMetadataMediator.MetadataQuery extends Object
Holder class for query text and parameters.

## Constructor Summary

Constructors
Constructor
Description
`MetadataQuery(String queryText, List<String> parameters)`
Creates a query whose prepared form may be cached.
`MetadataQuery(String queryText, List<String> parameters, boolean standalone)`
Creates a query.

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getParameters()`
`String`
`getQueryText()`
`boolean`
`isStandalone()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MetadataQuery

public MetadataQuery(String queryText, List<String> parameters)
Creates a query whose prepared form may be cached.

Parameters:
  `queryText` - Query text
  `parameters` - Parameters for query (possibly empty)

### MetadataQuery

public MetadataQuery(String queryText, List<String> parameters, boolean standalone)
Creates a query.

Parameters:
  `queryText` - Query text
  `parameters` - Parameters for query (possibly empty)
  `standalone` - `true` if the query to be executed is a standalone query (should not be cached and be closed asap)

## Method Details

### getQueryText

public String getQueryText()

### getParameters

public List<String> getParameters()

### isStandalone

public boolean isStandalone()

Returns:
  `false` if the query can be reused and can be cached, `false` if the query should not be reused and should be closed as soon as possible